Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 995743 - racoon2-genpsk missing dependancies
Summary: racoon2-genpsk missing dependancies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: racoon2
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 914426
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-10 18:58 UTC by Paul Wouters
Modified: 2014-04-02 09:09 UTC (History)
2 users (show)

Fixed In Version: racoon2-20100526a-28.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-02 09:09:50 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Switch from deprecated getopts.pl to Getopt::Std (deleted)
2014-03-08 10:05 UTC, Alexander Boström
no flags Details | Diff

Description Paul Wouters 2013-08-10 18:58:26 UTC
Description of problem:
$ racoon2-pskgen 
Use of "do" to call subroutines is deprecated at /usr/sbin/racoon2-pskgen line 63.
Can't locate getopts.pl in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/sbin/racoon2-pskgen line 62.


Version-Release number of selected component (if applicable):
racoon2-20100526a-18.fc18.x86_64

How reproducible:
always

Comment 1 Fedora End Of Life 2013-09-16 16:29:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Pavel Šimerda (pavlix) 2014-02-17 17:27:18 UTC
I'm not much into perl, will perl-Getopt-Simple be the right dependency, here?

Comment 3 Pavel Šimerda (pavlix) 2014-02-19 08:38:38 UTC
Fixed in rawhide.

Comment 4 Fedora Update System 2014-03-07 10:59:46 UTC
racoon2-20100526a-27.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/racoon2-20100526a-27.fc20

Comment 5 Fedora Update System 2014-03-08 03:33:53 UTC
Package racoon2-20100526a-27.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing racoon2-20100526a-27.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3608/racoon2-20100526a-27.fc20
then log in and leave karma (feedback).

Comment 6 Alexander Boström 2014-03-08 10:04:46 UTC
It looks like a simple change in the code is needed. The required module is in the base package so no extra deps are needed.

Comment 7 Alexander Boström 2014-03-08 10:05:58 UTC
Created attachment 872180 [details]
Switch from deprecated getopts.pl to Getopt::Std

Comment 8 Pavel Šimerda (pavlix) 2014-03-13 10:15:35 UTC
(In reply to Alexander Boström from comment #6)
> It looks like a simple change in the code is needed. The required module is
> in the base package so no extra deps are needed.

(In reply to Alexander Boström from comment #7)
> Created attachment 872180 [details]
> Switch from deprecated getopts.pl to Getopt::Std

If I understand you correctly, the way it is fixed now is correct but you're suggesting a different way that avoids the dependency entirely. If so, please start a new RFE bug report for that, as this one will be closed once the testing package becomes stable.

Comment 9 Alexander Boström 2014-03-13 11:31:47 UTC
Sorry, I was a bit unclear. Adding the dependency didn't fix the problem because there is no module that provides getopts.pl. A code change is needed to make it work at all (and the new code uses a module that's in the base perl package so no extra dep is required).

Comment 10 Pavel Šimerda (pavlix) 2014-03-14 15:20:46 UTC
(In reply to Alexander Boström from comment #9)
> Sorry, I was a bit unclear. Adding the dependency didn't fix the problem
> because there is no module that provides getopts.pl. A code change is needed
> to make it work at all (and the new code uses a module that's in the base
> perl package so no extra dep is required).

Thanks. Submitting a modified update, information will be automatically added soon.

Comment 11 Fedora Update System 2014-03-15 15:07:44 UTC
Package racoon2-20100526a-28.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing racoon2-20100526a-28.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3608/racoon2-20100526a-28.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-04-02 09:09:50 UTC
racoon2-20100526a-28.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.